<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  	//Nettoyage du montant (chiffres négatifs et lettres indésirables)
  	
 	function nettoyer_chaine($montant){
		
		$montant = str_replace(";", ".", $montant); // Remplacer le point virgule par un point
		$montant = str_replace(",", ".", $montant); // Remplacer la virgule par un point
		 
		for($c=32;$c<=45;$c++){
			$montant = str_replace(chr($c), "", $montant); // Supprimer tout les caractères ASCII de 32 à 45
		}
		
		$montant = str_replace("/", "", $montant);
		
		for($c=58;$c<=128;$c++){
			$montant = str_replace(chr($c), "", $montant); // Supprimer tout les caractères ASCII de 58 à 128
		}
		
		return $montant;
	}

?>
